<!DOCTYPE html>
<html lang="es">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Ground Zero</title>
    
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-w76AqPfDkMBDXo30jS1Sgez6pr3x5MlQ1ZAGC+nuZB+EYdgRZgiwxhTBTkF7CXvN"
      crossorigin="anonymous"
    ></script>
    

    {% load static %}
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
   
    {% block css %}
    <link rel="stylesheet" href="{% static 'core/css/styles.css' %}" />
    {% endblock %}
   
  
   
  </head>
  <header>


  <a href="{% url 'home' %}">
  <img src="{% static 'core/img/logo.jpeg' %}" alt="Ground Zero" style="width: 200px; height: 150px"/>
  </a>
  
    <figure class="text-end">
      <blockquote class="blockquote">
        <p>
          Pintura, Esculturas, Orfebrería, Tejidos y otras expresiones artísticas.
        </p>
      </blockquote>
      <figcaption class="blockquote-footer">
        Artistas <cite title="Source Title">unidos </cite>
      </figcaption>
    </figure>
    {% if user.is_authenticated %}
    <div class="d-grid gap-2 d-md-flex justify-content-md-end">
      <a class="btn btn-primary" href="{% url 'logout' %}" role="button">Cerrar Sesión</a>
      <br>
      <a href="#">@{{ user.username }} </a>
    </div>
    
    {% else %}
    <div class="d-grid gap-2 d-md-flex justify-content-md-end">
      <a class="btn btn-primary" href="{% url 'login' %}" role="button">Iniciar Sesión</a>
      <a class="btn btn-primary" href="{% url 'registro' %}" role="button">Registrarse</a>
    </div>
    {% endif %}
    

    <nav class="navbar navbar-expand-lg bg-body-tertiary">
      <div class="container-fluid">
        <button
          class="navbar-toggler"
          type="button"
          data-bs-toggle="collapse"
          data-bs-target="#navbarSupportedContent"
          aria-controls="navbarSupportedContent"
          aria-expanded="false"
          aria-label="Toggle navigation"
        >
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            <li class="nav-item">
              <a class="nav-link" href="{% url 'home' %}">Home</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'pintura' %}">Pinturas</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'escultura' %}">Esculturas</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'orfebreria' %}">Orfebrería</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'tejido' %}">Tejidos</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'otras' %}">Otras Expresiones</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'quienes' %}">Quienes Somos</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'contacto' %}">Contáctanos</a>
            </li>
            {% if perms.core.add_producto %}
            <li class="nav-item">
              <a class="nav-link" href="{% url 'agregar_producto' %}">Agregar Producto</a>
            </li>
            {% endif %}

            {% if perms.core.view_producto %}
            <li class="nav-item">
              <a class="nav-link" href="{% url 'listar_productos' %}">Listar Productos</a>
            </li>
            {% endif %}
           


          </ul>
          <form class="d-flex" action="http://google.cl/search" method ="get">
              <input class="form-control me-2" type="search" id="busqueda" placeholder="¿qué quieres buscar?" aria-label="search" name="q"/>
              <button class="btn btn-outline-success"  type="submit"> Buscar</button>
            </form>
        </div>
      </div>
      
    </nav>

      
    </header>
    <div id="principal">
      <br>

      {% block contenido %}
      {% endblock %}  
          

    
    </div>
    <script src="js/search.js"></script>
    

    <script
      src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"
      integrity="sha384-oBqDVmMz9ATKxIep9tiCxS/Z9fNfEXiDAYTujMAeBAsjFuCZSmKbSSUnQlmh/jp3"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.min.js"
      integrity="sha384-mQ93GR66B00ZXjt0YO5KlohRA5SY2XofN4zfuZxLkoj1gXtW8ANNCe9d5Y3eG5eD"
      crossorigin="anonymous"
    ></script>

    <div
      style="
        background-color: #bebdbde1;
        text-align: center;
        padding: 10px;
        margin-top: 7px;
        font-size: 12px;
      "
    >
      Avenida Providencia 234 - Providencia, Santiago.
    </div>

    


  <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
  {% if messages %}
      {% for m in messages %}
          <script>
            Swal.fire({
                "text": "{{m}}",
                "icon":"success"
            })
          </script>
      {% endfor %}
  {% endif %}
  {% block js %}
  {% endblock %}

  </body>
</html>
